caption: Enterprise printer configuration file for devices
desc: |-
  Setting the policy provides configurations for enterprise printers bound to devices. Its format matches the <ph name="PRINTERS_POLICY_NAME">Printers</ph> dictionary, with an additional required "id" or "guid" field for each printer for allow listing or deny listing. The file size can't exceed 5MB and is in JSON format. A file with about 21,000 printers encodes as a 5MB file. The cryptographic hash helps verify download integrity. The file is downloaded, cached, and redownloaded when the URL or the hash changes. <ph name="PRODUCT_OS_NAME">$2<ex>Google ChromeOS</ex></ph> downloads the file for printer configurations and makes printers available along with <ph name="DEVICE_PRINTERS_ACCESS_MODE_POLICY_NAME">DevicePrintersAccessMode</ph>, <ph name="DEVICE_PRINTERS_ALLOWLIST_POLICY_NAME">DevicePrintersAllowlist</ph>, and <ph name="DEVICE_PRINTERS_BLOCKLIST_POLICY_NAME">DevicePrintersBlocklist</ph>.

        This policy:

        * doesn't affect whether users can configure printers on individual devices

        * supplements <ph name="PRINTERS_BULK_CONFIGURATION_POLICY_NAME">PrintersBulkConfiguration</ph> and individual users' printer setups

        If unset, there are no device printers, and the other <ph name="DEVICE_PRINTERS_POLICY_PATTERN">DevicePrinter*</ph> policies are ignored.
device_only: true
example_value:
  hash: deadbeefdeadbeefdeadbeefdeadbeefdeafdeadbeefdeadbeef
  url: https://example.com/printerpolicy
features:
  dynamic_refresh: true
  per_profile: false
max_size: 5242880
owners:
- ust@google.com
- chromeos-commercial-printing@google.com
- pawliczek@chromium.org
schema:
  properties:
    hash:
      type: string
    url:
      type: string
  type: object
supported_on:
- chrome_os:87-
tags: []
type: external
